jQuery(document).ready(function ($) {
    var no_key = $('#jabze-no-key');
    var verify_code = $('#jabze-verify');
    var have_key = $('#jabze-have-key');
    var sync = $('#jabze-sync');
    var msg = $('#jabze-message');
    var finish=$('#jabze-finish');
    var progressbar=$('#bcs-progress');
    var int=0;

    $('.switch-have-key').click(function () {
        no_key.hide();
        have_key.fadeIn('slow');
        return false;
    });

    $('.switch-no-key').click(function () {
        have_key.hide();
        no_key.fadeIn('slow');

        return false;
    });


    $.fn.updateProgress=function(max){
        var progress=progressbar.val();
        if(progress<max){
            progressbar.val(progress+Math.random());
            progressbar.children('span').html(progress+1);
        }else{
            progressbar.val(max);
            progressbar.children('span').html(max);
            clearInterval(int);
        }
    };

    $.fn.syncUser= function(type){
        clearInterval(int);
        int=setInterval('jQuery.fn.updateProgress(100)',500);
        msg.children('span').html('Synchronizing users.....');
        var data = {
            action: 'my_action',
            sync: 1
        };

        $.ajax({
            url: ajaxurl,
            data: data,
            type: 'POST',
            dataType: 'json',
            success: function (json) {
                console.log(json);
                if (json.success) {
                      msg.hide();
                      if('create'==type){
                          finish.show();
                      }
                } else {
                    alert(json.msg);
                    window.location.reload();
                }
            }
        });
    };
    $('#jabze-send-code').click(function(){
        var ths=$(this);
        var email =$('#jabze-email').val();

        if(!email){
            alert('Please enter your work email address.');
            return false;
        }

        var pattern =/^\w+@[a-zA-Z_0-9]+?\.[a-zA-Z]{2,3}$/;
        if(!email.match(pattern)){
            alert('Your email address is not correct.');
            return false;
        }

        var agreed = $("#agreed").attr('checked');
        if (!agreed) {
            alert('You need agree to share some of your site information with us');
            return false;
        }
        ths.attr("disabled", "disabled");
        var data = {
            action: 'my_action',
            email:email,
            sendCode: 1
        };

        $.ajax({
            url: ajaxurl,
            data: data,
            type: 'POST',
            dataType: 'json',
            success: function (json) {
                console.log(json);
                if (json.success) {
                    verify_code.fadeIn();
                    no_key.hide();
                } else {
                    alert(json.msg);
                    msg.hide();
                    no_key.show();
                }
                ths.removeAttr("disabled");
            }
        });

        return false;
    });

    $('#create-new-jabze-key').click(function () {

        var code=$('#jabze-verify-code').val();

        if(!code){
            alert('You need to enter your activation key.');
            return false;
        }

        if(int !=0){
            clearInterval(int);
        }

        progressbar.val(0);
        verify_code.hide();
        have_key.hide();
        no_key.hide();

        msg.show().children('span').html('Please wait a moment, initializing...');

        int=setInterval('jQuery.fn.updateProgress(50)',500);

        var data = {
            action: 'my_action',
            code:code,
            create_key: 1
        };
        $.ajax({
            url: ajaxurl,
            data: data,
            type: 'POST',
            dataType: 'json',
            success: function (json) {
                console.log(json);
                if (json.success) {
                    progressbar.val(40);
                    $('#jabze_domain').val(json.domain);
                    $('#jabze-access-token').val(json.accessToken);
                    $.fn.syncUser('create');
                } else {
                    alert(json.msg);

                    msg.hide();
                    no_key.show();
                }
            }
        });

        return false;
    });

    $('#update-bcs-key').click(function(){
      var ths=$(this);
      var domain=  $('#jabze_domain').val();
      var accessToken= $('#jabze-access-token').val();
      if(!domain){
            alert('You need to enter your domain name.');
            return false;
       }
        if(!accessToken){
            alert('You need to enter your activation key.');
            return false;
        }
        ths.attr("disabled", "disabled");
        var data = {
            action: 'my_action',
            domain:domain,
            accessToken:accessToken,
            update_key: 1
        };
        $.ajax({
            url: ajaxurl,
            data: data,
            type: 'POST',
            dataType: 'json',
            success: function (json) {
                console.log(json);
                if (json.success) {
                    alert("Success");
                } else {
                    alert(json.msg);
                    msg.hide();
                }
                ths.removeAttr("disabled");
            }
        });

        return false;
    });

});
